/*
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#include "sport.h"
#include <QVBoxLayout>
#include <QGraphicsOpacityEffect>
#define UKUI_STYLE "org.ukui.style"
#define UKUI_FONT_SIZE "systemFontSize"
sport::sport(QWidget *parent) : QWidget(parent)
{
    m_sportLayout = new QVBoxLayout(this);

    m_sportIcon = new QLabel(this);
    m_str = new QLabel(this);
    m_degree = new QLabel(this);

    QPixmap sportpixmap(":/res/contorl_icons/index_cash_wash.png");
    m_sportIcon->setPixmap(sportpixmap);
    m_sportIcon->setAlignment(Qt::AlignCenter);
    m_str->setText(tr("Sport"));
    m_str->setAlignment(Qt::AlignCenter);
    m_degree->setText("N/A");
    m_degree->setAlignment(Qt::AlignCenter);
    initLayout();
    //    initQss();
}

void sport::setItemContent(QString text)
{
    m_degree->setText(text);
}

void sport::isFullScreen(int m_isFullScreen)
{
    m_judgeFullScreen = m_isFullScreen;
    initQss(14.0);
}

void sport::initLayout()
{
    m_sportLayout->addWidget(m_sportIcon);
    m_sportLayout->addWidget(m_str);
    m_sportLayout->addWidget(m_degree);
}

void sport::lable2SetFontSizeSlot(int size)
{
    //默认大小12px,换算成pt为9
    double lable2BaseFontSize = 11;                              //魔鬼数字，自行处理
    double nowFontSize = lable2BaseFontSize * double(size) / 11; // 11为系统默认大小，魔鬼数字，自行处理
    //    QFont font;
    //    font.setPointSizeF(nowFontSize);
    //    ui->label2->setFont(font);
    initQss(nowFontSize);
}

void sport::initQss(double nowFontSize)
{
    m_sportIcon->setAlignment(Qt::AlignCenter);

    m_sportIcon->resize(30, 30);
    QPixmap sportpixmap(sportpath);
    m_sportIcon->setPixmap(sportpixmap);

    //    m_str->setStyleSheet("font:14px;color:white;");
    QFont m_font;
    //        m_font.setPointSizeF(nowFontSize);
    m_str->setFont(m_font);
    m_str->setAlignment(Qt::AlignCenter);
    QPalette sportStrPalette = m_str->palette();
    sportStrPalette.setColor(QPalette::WindowText, Qt::white);
    m_str->setPalette(sportStrPalette);
    //    设置字体透明度
    QGraphicsOpacityEffect *sportOpacityEffect = new QGraphicsOpacityEffect;
    sportOpacityEffect->setOpacity(0.7);
    m_str->setGraphicsEffect(sportOpacityEffect);
    //    m_degree->setStyleSheet("font:14px;color:white;");
    m_degree->setAlignment(Qt::AlignCenter);
    QPalette sportDegreePalette = m_degree->palette();
    sportDegreePalette.setColor(QPalette::WindowText, Qt::white);
    m_degree->setPalette(sportDegreePalette);
    m_degree->setFont(m_font);
}
